プロジェクト

全般

プロフィール

Eclipse

高橋 徹 さんが約5年前に追加

Eclipse Neon をインストールしていじってみたメモ

Windows 10 64bit版に、Eclipse IDE for Java Developers Neon.3 Windows 64bit版をインストール。

  • e(fx)clipse プラグインを入れようとして、プラグインURLを選択後、プラグイン一覧が出るまでまったりと待たされました。毎回な模様・・・
    なんでこんなに時間がかかるんだろう?
  • More emacs プラグインを入れようとしたけど、入れ方が分からない。とおもったら、[Help]メニューの新規ソフトウェアのインストールではなく、Eclipseマーケットプレースなる項目があった。ここから探すと見つかりました。
  • JavaFXアプリケーションを新規作成したら、生成されたソースファイルのインデントがTABコードで8桁となっていた!
    既存のワークスペース(Eclipseの以前のバージョンで作成)を開いたてみたところ、新規にプロジェクトを作成し、生成された雛形コードのインデントがハードタブ&8桁になってました。ただし、設定を確認すると空白でインデントとなっています。どうやら以前のバージョンのワークスペースを継続使用するのは難しい模様。
  • Eclipseでワークスペースを切り替えてみたら、Eclipseがいったん終了して再起動した。うーむ、なんだかなぁ。
  • 新しいワークスペースに、JavaFXアプリケーションの新規プロジェクトを作成しようとしたら、19%から先に進まず、ダメダメになってしまった。
  • インデントをタブからスペースに切り替えるのは、Javaソースとそれ以外とで設定箇所が違う。
    [Window]メニュー > [Preferences] から、左側ペインで[General] > [Editors] > [Text Editors] で右側ペインの[Insert spaces for tabs]にチェックを入れても反映されない。Javaのソースコードの場合は別な場所を変える必要があるとのこと!左側ペインで[Java] > [Code Style] > [Formatter] を選択、右側ペインで[新規]で新しいプロファイルを作成し、[Intendation]タブから[Use spaces to indent wrapped lines]にチェックを入れる。うーむ。

返答 (2)

Eclipse 2021-12-R(4.22.0)をWindows 10に入れてみた - 高橋 徹 さんが6ヶ月前に追加

久しぶりにEclipseを使う機会がありました。最近のEclipseは、バージョン表記でコードネームが西暦年と月になっているようです。

インストールは従来通り(ダウンロードしたzipファイルを展開)です。

インストール直後の設定、問題など

  • 起動時のスプラッシュ画面が小さく、ツールバー等のアイコンが小さい
    HiDPI環境での問題。eclipse.iniに次を追記して問題の軽減(ジャギーなアイコンとなるので完全解消には至らず)
    -Dswt.autoScale=quarter
  • インデントがTABコード4桁となっている
    Windowメニュー > Preferences で「Preferences」画面を呼び出し、左ペイン Java > Code Style > Formatter を選択し、右ペインで[New]ボタンを押し、新しいProfileを "Eclipse [built-in]"を基に作成します。Profileの編集画面で、左ペイン Indentationを展開し、[Tab policy]項をTabs onlyからSpaces onlyに変更、[Tab size]項を4から8に変更。
    → FormatterのProfileを、"Java Conventions [built-in]"に変更する方が容易
  • GUIデザイン画面がない
    追加のプラグイン(WindowBuilder)をインストールします。
    Helpメニュー > Eclipse Marketplace から、検索欄でWindowBuilderを入れて表示されたWindowBuilder 1.9.5をインストールします。
    1.9.5はJDK 16以降で動かすと障害(コンテンツ、パレット、画面が空)となるので、次からzipファイルをダウンロードし、それをEclipseに読み込ませます。
    Windowbuilder Downloadサイト
  • 標準でダークテーマが選択可能だがシンタックスハイライトがいまいち(色づかいが激しい)
    ぐぐって、moonriseプラグインを入れ再起動してテーマを選択(moonrise standalone)して次の操作をしたらEclipse固まりプロセス強制終了した。そしたらEcilpseが起動しなくなってしまった。やはりEcilpseはプラグイン入れると不安定になるなぁ。エラーはStackOverflowError。
    -clean.cmdオプション指定起動などいろいろ試したが、ワークスペース下の.metadataを丸ごと削除して起動できるようになった。
  • ソースファイルの文字コードが Windows-31J の改行コードがCRLF となっている
    UTF-8、LFに合わせる方法
    • Windowメニュー > Preferences で左ペイン General > Workspace を選択、右ペイン左下のText file encoding領域で[Other]を選択しUTF-8に変更
    • 同右ペイン右下のNew text file line delimiter領域で[Other]を選択しUnixに変更
  • 日本語フォントがギザギザで汚いが、Ricty、Myrica等は行間が狭まり文字の一部が欠けたり10ポイントではアンチエイリアスが中途半端できれいに見えない。
    Eclipseで行間を変える術はなさげ。いろいろ比べてみると、更紗ゴシックが行間もほどよく余白がありアンチエイリアスもいい感じです。
    • デフォルト 欧文 Consolas, 和文 MS ゴシック 10pt
    • MyricaM M 10pt
    • Ricty Diminished 10pt
    • 更紗ゴシック 10pt

      sarasa-fixed-j-*.ttf をインストール

Eclipseでmavenプロジェクト - 高橋 徹 さんが3ヶ月前に追加

EclipseでMavenを使う際の疑問・問題解決

Eclipseのメニューから新規にmavenプロジェクトを作成すると、プロジェクトが使用するJavaバージョンが1.5となってしまう。

解決方法は、pom.xmlにmavenで使用するJDKのバージョンを記述します。

  <properties>
    <maven.compiler.source>11</maven.compiler.source>
    <maven.compiler.target>11</maven.compiler.target>
  </properties>
Maven Multi Module Project でプロジェクト間の依存関係を設定するには?
  • 依存する側のモジュールのpom.xmlに依存先のモジュールを定義
JDK 11で使える文法がえらーとなってしまう(例、型推論のvar)
  • Windowメニュー > Preferences > Java > Compiler を選択、右側ペインで、JDK Compliance領域の Compiler compliance level: は17に設定されている

MavenプロジェクトをEclipseで編集するときは、pom.xmlに定義しているJavaのバージョンが適用される模様。Eclipseのmavenプラグイン(m2e)は定義がない場合、デフォルトでJ2SE-1.5を使用するらしい。

解決(回避)方法

  • Project > Property > Java Build Path > Libraries で、JRE System Library [J2SE-1.5] を選択し、[Edit]ボタンをクリック、Execution environment欄を、J2SE-1.5(jre)から、JavaSE-11(jre)に変更
  • pom.xml に、maven-compiler-pluginを追記し、Javaバージョンを定義する(手順は後日T.B.D.)
    (1-2/2)